
#ifndef UTIL_20061126_H_
#define UTIL_20061126_H_

template <typename T>
void safeDelete(T *&ptr) {
	delete ptr;
	ptr = 0;
}

template <typename T>
void safeDeleteArray(T *&ptr) {
	delete [] ptr;
	ptr = 0;
}

#endif
